#include <stdio.h>
#include <stdlib.h>

int main()
{
    int t;
    scanf("%d",&t);

    unsigned long long int a[t],b[t];
    for(int i=0;i<t;i++)
        scanf("%d %d",&a[i],&b[i]);

    printf("%d",-1);

    return 0;
}